/*
 * Copyright (c) The openTCS Authors.
 *
 * This program is free software and subject to the MIT license. (For details,
 * see the licensing information (LICENSE.txt) you should have received with
 * this copy of the software.)
 */
package org.opentcs.guing.util;

/**
 * Defines application-specific constants regarding internationalization.
 *
 * @author Martin Grzenia (Fraunhofer IML)
 */
public interface I18nPlantOverviewModeling {
  
  /**
   * Path to the resources related to the create group dialog.
   */
  String CREATEGROUP_PATH = "i18n.org.opentcs.plantoverview.modeling.dialogs.createGroup";
  /**
   * Path to the resources related to dockables.
   */
  String DOCKABLE_PATH = "i18n.org.opentcs.plantoverview.modeling.panels.dockable";
  /**
   * Path to the resources related to layers.
   */
  String LAYERS_PATH = "i18n.org.opentcs.plantoverview.modeling.panels.layers";
  /**
   * Path to the resources related the menu bar.
   */
  String MENU_PATH = "i18n.org.opentcs.plantoverview.modeling.mainMenu";
  /**
   * Path to miscellaneous resources
   */
  String MISC_PATH = "i18n.org.opentcs.plantoverview.modeling.miscellaneous";
  /**
   * Path to the resources related to status messages.
   */
  String STATUS_PATH = "i18n.org.opentcs.plantoverview.modeling.panels.status";
  /**
   * Path to the resources related to the system.
   */
  String SYSTEM_PATH = "i18n.org.opentcs.plantoverview.modeling.system";
  /**
   * Path to the resources related to toolbars.
   */
  String TOOLBAR_PATH = "i18n.org.opentcs.plantoverview.modeling.toolbar";
  /**
   * Path to the resources related to model validator.
   */
  String VALIDATOR_PATH = "i18n.org.opentcs.plantoverview.modeling.modelValidation";
}
